Foreman - Bug #29230

Click on Hosts -> Audits render json result
03/02/2020 09:37 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Audit Log

Target version:

Difficulty: Fixed in Releases: 1.24.3,2.0.0
Triaged: No Found in Releases:
Bugzilla link: 1806196 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7481
Description

Description of problem: Audits button in Host page renders JSON result. it should redirect to host audit page

How reproducible: Always

Steps to Reproduce:

1. visit All Hosts -> click on any host

2. Click on Audits link on left side Host details section
3. Render json result

Actual results: Json result

Expected results: Should go to host audit page

Related issues:

Related to Foreman - Bug #29237: Initial search not displayed on audits page New

Has duplicate Foreman - Bug #28843: Audits page doesn't load the Ul but the r... Duplicate

Associated revisions

Revision dfb8b546 - 03/04/2020 11:44 AM - Ondfej Prazak
Fixes #29230 - Fix redirect for host audits

History

#1 - 03/02/2020 09:39 AM - Ondfej Prazak

- Subject changed from Click on Hosts -> Audits render json result
to Click on Hosts -> Audits render json result

- Assignee set to Ondrej PraZak

#2 - 03/02/2020 12:45 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7481 added

#3 - 03/02/2020 01:01 PM - Ondfej Prazak

- Related to Bug #29237: Initial search not displayed on audits page added

#4 - 03/04/2020 11:44 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 03/04/2020 12:01 PM - Ondrej Prazak
- Status changed from Ready For Testing to Closed
Applied in changeset dfb8b5463597d12ce6c79f8f7ac933d01139a1f8.

#6 - 03/04/2020 02:21 PM - Tomer Brisker
- Has duplicate Bug #28843: Audits page doesn't load the Ul but the raw JSON output instead added

#7 - 03/04/2020 02:23 PM - Tomer Brisker
- Fixed in Releases 1.24.3, 2.0.0 added
- Fixed in Releases deleted (2.1.0)

05/12/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/dfb8b5463597d12ce6c79f8f7ac933d01139a1f8
http://www.tcpdf.org

